com.genesyslab.wfm7.API.service.schedule712

## Class SchPlanningPeriod

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule712.SchPlanningPeriod

- All Implemented Interfaces:
    java.io.Serializable

      public class SchPlanningPeriod
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private double` | `periodEnd`
    `private double` | `periodStart`
    `private double` | `periodWeekEnd`
    `private double` | `periodWeekStart`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchPlanningPeriod()`
    `SchPlanningPeriod(double periodStart, double periodEnd, double periodWeekStart, double periodWeekEnd)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `double` | `getPeriodEnd()` Gets the periodEnd value for this SchPlanningPeriod.
    `double` | `getPeriodStart()` Gets the periodStart value for this SchPlanningPeriod.
    `double` | `getPeriodWeekEnd()` Gets the periodWeekEnd value for this SchPlanningPeriod.
    `double` | `getPeriodWeekStart()` Gets the periodWeekStart value for this SchPlanningPeriod.
    `int` | `hashCode()`
    `void` | `setPeriodEnd(double periodEnd)` Sets the periodEnd value for this SchPlanningPeriod.
    `void` | `setPeriodStart(double periodStart)` Sets the periodStart value for this SchPlanningPeriod.
    `void` | `setPeriodWeekEnd(double periodWeekEnd)` Sets the periodWeekEnd value for this SchPlanningPeriod.
    `void` | `setPeriodWeekStart(double periodWeekStart)` Sets the periodWeekStart value for this SchPlanningPeriod.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### periodStart

          private double periodStart

    - #### periodEnd

          private double periodEnd

    - #### periodWeekStart

          private double periodWeekStart

    - #### periodWeekEnd

          private double periodWeekEnd

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SchPlanningPeriod

          public SchPlanningPeriod()

    - #### SchPlanningPeriod

          public SchPlanningPeriod(double periodStart,
                           double periodEnd,
                           double periodWeekStart,
                           double periodWeekEnd)

  - ### Method Detail

    - #### getPeriodStart

          public double getPeriodStart()

      Gets the periodStart value for this SchPlanningPeriod.
      Returns:
        periodStart

    - #### setPeriodStart

          public void setPeriodStart(double periodStart)

      Sets the periodStart value for this SchPlanningPeriod.
      Parameters:
        `periodStart` -

    - #### getPeriodEnd

          public double getPeriodEnd()

      Gets the periodEnd value for this SchPlanningPeriod.
      Returns:
        periodEnd

    - #### setPeriodEnd

          public void setPeriodEnd(double periodEnd)

      Sets the periodEnd value for this SchPlanningPeriod.
      Parameters:
        `periodEnd` -

    - #### getPeriodWeekStart

          public double getPeriodWeekStart()

      Gets the periodWeekStart value for this SchPlanningPeriod.
      Returns:
        periodWeekStart

    - #### setPeriodWeekStart

          public void setPeriodWeekStart(double periodWeekStart)

      Sets the periodWeekStart value for this SchPlanningPeriod.
      Parameters:
        `periodWeekStart` -

    - #### getPeriodWeekEnd

          public double getPeriodWeekEnd()

      Gets the periodWeekEnd value for this SchPlanningPeriod.
      Returns:
        periodWeekEnd

    - #### setPeriodWeekEnd

          public void setPeriodWeekEnd(double periodWeekEnd)

      Sets the periodWeekEnd value for this SchPlanningPeriod.
      Parameters:
        `periodWeekEnd` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.